import { Signer } from "ethers";
import type { Provider } from "@ethersproject/providers";
import type { IWormholeRelayer, IWormholeRelayerInterface } from "../../IWormholeRelayer.sol/IWormholeRelayer";
export declare class IWormholeRelayer__factory {
    static readonly abi: readonly [{
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "address";
            readonly name: "recipientContract";
            readonly type: "address";
        }, {
            readonly indexed: true;
            readonly internalType: "uint16";
            readonly name: "sourceChain";
            readonly type: "uint16";
        }, {
            readonly indexed: true;
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }, {
            readonly indexed: false;
            readonly internalType: "bytes32";
            readonly name: "deliveryVaaHash";
            readonly type: "bytes32";
        }, {
            readonly indexed: false;
            readonly internalType: "enum IWormholeRelayerDelivery.DeliveryStatus";
            readonly name: "status";
            readonly type: "uint8";
        }, {
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "gasUsed";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly internalType: "enum IWormholeRelayerDelivery.RefundStatus";
            readonly name: "refundStatus";
            readonly type: "uint8";
        }, {
            readonly indexed: false;
            readonly internalType: "bytes";
            readonly name: "additionalStatusInfo";
            readonly type: "bytes";
        }, {
            readonly indexed: false;
            readonly internalType: "bytes";
            readonly name: "overridesInfo";
            readonly type: "bytes";
        }];
        readonly name: "Delivery";
        readonly type: "event";
    }, {
        readonly anonymous: false;
        readonly inputs: readonly [{
            readonly indexed: true;
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }, {
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "deliveryQuote";
            readonly type: "uint256";
        }, {
            readonly indexed: false;
            readonly internalType: "uint256";
            readonly name: "paymentForExtraReceiverValue";
            readonly type: "uint256";
        }];
        readonly name: "SendEvent";
        readonly type: "event";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "bytes[]";
            readonly name: "encodedVMs";
            readonly type: "bytes[]";
        }, {
            readonly internalType: "bytes";
            readonly name: "encodedDeliveryVAA";
            readonly type: "bytes";
        }, {
            readonly internalType: "address payable";
            readonly name: "relayerRefundAddress";
            readonly type: "address";
        }, {
            readonly internalType: "bytes";
            readonly name: "deliveryOverrides";
            readonly type: "bytes";
        }];
        readonly name: "deliver";
        readonly outputs: readonly [];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "bytes32";
            readonly name: "deliveryHash";
            readonly type: "bytes32";
        }];
        readonly name: "deliveryAttempted";
        readonly outputs: readonly [{
            readonly internalType: "bool";
            readonly name: "attempted";
            readonly type: "bool";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "bytes32";
            readonly name: "deliveryHash";
            readonly type: "bytes32";
        }];
        readonly name: "deliveryFailureBlock";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "blockNumber";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "bytes32";
            readonly name: "deliveryHash";
            readonly type: "bytes32";
        }];
        readonly name: "deliverySuccessBlock";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "blockNumber";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [];
        readonly name: "getDefaultDeliveryProvider";
        readonly outputs: readonly [{
            readonly internalType: "address";
            readonly name: "deliveryProvider";
            readonly type: "address";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "chainId";
            readonly type: "uint16";
        }];
        readonly name: "getRegisteredWormholeRelayerContract";
        readonly outputs: readonly [{
            readonly internalType: "bytes32";
            readonly name: "";
            readonly type: "bytes32";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "uint256";
            readonly name: "receiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes";
            readonly name: "encodedExecutionParameters";
            readonly type: "bytes";
        }, {
            readonly internalType: "address";
            readonly name: "deliveryProviderAddress";
            readonly type: "address";
        }];
        readonly name: "quoteDeliveryPrice";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "nativePriceQuote";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes";
            readonly name: "encodedExecutionInfo";
            readonly type: "bytes";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "uint256";
            readonly name: "receiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "gasLimit";
            readonly type: "uint256";
        }, {
            readonly internalType: "address";
            readonly name: "deliveryProviderAddress";
            readonly type: "address";
        }];
        readonly name: "quoteEVMDeliveryPrice";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "nativePriceQuote";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "targetChainRefundPerGasUnused";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "uint256";
            readonly name: "receiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "gasLimit";
            readonly type: "uint256";
        }];
        readonly name: "quoteEVMDeliveryPrice";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "nativePriceQuote";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "targetChainRefundPerGasUnused";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "uint256";
            readonly name: "currentChainAmount";
            readonly type: "uint256";
        }, {
            readonly internalType: "address";
            readonly name: "deliveryProviderAddress";
            readonly type: "address";
        }];
        readonly name: "quoteNativeForChain";
        readonly outputs: readonly [{
            readonly internalType: "uint256";
            readonly name: "targetChainAmount";
            readonly type: "uint256";
        }];
        readonly stateMutability: "view";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly components: readonly [{
                readonly internalType: "uint16";
                readonly name: "chainId";
                readonly type: "uint16";
            }, {
                readonly internalType: "bytes32";
                readonly name: "emitterAddress";
                readonly type: "bytes32";
            }, {
                readonly internalType: "uint64";
                readonly name: "sequence";
                readonly type: "uint64";
            }];
            readonly internalType: "struct VaaKey";
            readonly name: "deliveryVaaKey";
            readonly type: "tuple";
        }, {
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "uint256";
            readonly name: "newReceiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes";
            readonly name: "newEncodedExecutionParameters";
            readonly type: "bytes";
        }, {
            readonly internalType: "address";
            readonly name: "newDeliveryProviderAddress";
            readonly type: "address";
        }];
        readonly name: "resend";
        readonly outputs: readonly [{
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly components: readonly [{
                readonly internalType: "uint16";
                readonly name: "chainId";
                readonly type: "uint16";
            }, {
                readonly internalType: "bytes32";
                readonly name: "emitterAddress";
                readonly type: "bytes32";
            }, {
                readonly internalType: "uint64";
                readonly name: "sequence";
                readonly type: "uint64";
            }];
            readonly internalType: "struct VaaKey";
            readonly name: "deliveryVaaKey";
            readonly type: "tuple";
        }, {
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "uint256";
            readonly name: "newReceiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "newGasLimit";
            readonly type: "uint256";
        }, {
            readonly internalType: "address";
            readonly name: "newDeliveryProviderAddress";
            readonly type: "address";
        }];
        readonly name: "resendToEvm";
        readonly outputs: readonly [{
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "bytes32";
            readonly name: "targetAddress";
            readonly type: "bytes32";
        }, {
            readonly internalType: "bytes";
            readonly name: "payload";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint256";
            readonly name: "receiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "paymentForExtraReceiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes";
            readonly name: "encodedExecutionParameters";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint16";
            readonly name: "refundChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "bytes32";
            readonly name: "refundAddress";
            readonly type: "bytes32";
        }, {
            readonly internalType: "address";
            readonly name: "deliveryProviderAddress";
            readonly type: "address";
        }, {
            readonly components: readonly [{
                readonly internalType: "uint16";
                readonly name: "chainId";
                readonly type: "uint16";
            }, {
                readonly internalType: "bytes32";
                readonly name: "emitterAddress";
                readonly type: "bytes32";
            }, {
                readonly internalType: "uint64";
                readonly name: "sequence";
                readonly type: "uint64";
            }];
            readonly internalType: "struct VaaKey[]";
            readonly name: "vaaKeys";
            readonly type: "tuple[]";
        }, {
            readonly internalType: "uint8";
            readonly name: "consistencyLevel";
            readonly type: "uint8";
        }];
        readonly name: "send";
        readonly outputs: readonly [{
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "bytes32";
            readonly name: "targetAddress";
            readonly type: "bytes32";
        }, {
            readonly internalType: "bytes";
            readonly name: "payload";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint256";
            readonly name: "receiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "paymentForExtraReceiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "bytes";
            readonly name: "encodedExecutionParameters";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint16";
            readonly name: "refundChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "bytes32";
            readonly name: "refundAddress";
            readonly type: "bytes32";
        }, {
            readonly internalType: "address";
            readonly name: "deliveryProviderAddress";
            readonly type: "address";
        }, {
            readonly components: readonly [{
                readonly internalType: "uint8";
                readonly name: "keyType";
                readonly type: "uint8";
            }, {
                readonly internalType: "bytes";
                readonly name: "encodedKey";
                readonly type: "bytes";
            }];
            readonly internalType: "struct MessageKey[]";
            readonly name: "messageKeys";
            readonly type: "tuple[]";
        }, {
            readonly internalType: "uint8";
            readonly name: "consistencyLevel";
            readonly type: "uint8";
        }];
        readonly name: "send";
        readonly outputs: readonly [{
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "address";
            readonly name: "targetAddress";
            readonly type: "address";
        }, {
            readonly internalType: "bytes";
            readonly name: "payload";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint256";
            readonly name: "receiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "gasLimit";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint16";
            readonly name: "refundChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "address";
            readonly name: "refundAddress";
            readonly type: "address";
        }];
        readonly name: "sendPayloadToEvm";
        readonly outputs: readonly [{
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "address";
            readonly name: "targetAddress";
            readonly type: "address";
        }, {
            readonly internalType: "bytes";
            readonly name: "payload";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint256";
            readonly name: "receiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "gasLimit";
            readonly type: "uint256";
        }];
        readonly name: "sendPayloadToEvm";
        readonly outputs: readonly [{
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "address";
            readonly name: "targetAddress";
            readonly type: "address";
        }, {
            readonly internalType: "bytes";
            readonly name: "payload";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint256";
            readonly name: "receiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "paymentForExtraReceiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "gasLimit";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint16";
            readonly name: "refundChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "address";
            readonly name: "refundAddress";
            readonly type: "address";
        }, {
            readonly internalType: "address";
            readonly name: "deliveryProviderAddress";
            readonly type: "address";
        }, {
            readonly components: readonly [{
                readonly internalType: "uint16";
                readonly name: "chainId";
                readonly type: "uint16";
            }, {
                readonly internalType: "bytes32";
                readonly name: "emitterAddress";
                readonly type: "bytes32";
            }, {
                readonly internalType: "uint64";
                readonly name: "sequence";
                readonly type: "uint64";
            }];
            readonly internalType: "struct VaaKey[]";
            readonly name: "vaaKeys";
            readonly type: "tuple[]";
        }, {
            readonly internalType: "uint8";
            readonly name: "consistencyLevel";
            readonly type: "uint8";
        }];
        readonly name: "sendToEvm";
        readonly outputs: readonly [{
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "address";
            readonly name: "targetAddress";
            readonly type: "address";
        }, {
            readonly internalType: "bytes";
            readonly name: "payload";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint256";
            readonly name: "receiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "paymentForExtraReceiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "gasLimit";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint16";
            readonly name: "refundChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "address";
            readonly name: "refundAddress";
            readonly type: "address";
        }, {
            readonly internalType: "address";
            readonly name: "deliveryProviderAddress";
            readonly type: "address";
        }, {
            readonly components: readonly [{
                readonly internalType: "uint8";
                readonly name: "keyType";
                readonly type: "uint8";
            }, {
                readonly internalType: "bytes";
                readonly name: "encodedKey";
                readonly type: "bytes";
            }];
            readonly internalType: "struct MessageKey[]";
            readonly name: "messageKeys";
            readonly type: "tuple[]";
        }, {
            readonly internalType: "uint8";
            readonly name: "consistencyLevel";
            readonly type: "uint8";
        }];
        readonly name: "sendToEvm";
        readonly outputs: readonly [{
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "address";
            readonly name: "targetAddress";
            readonly type: "address";
        }, {
            readonly internalType: "bytes";
            readonly name: "payload";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint256";
            readonly name: "receiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "gasLimit";
            readonly type: "uint256";
        }, {
            readonly components: readonly [{
                readonly internalType: "uint16";
                readonly name: "chainId";
                readonly type: "uint16";
            }, {
                readonly internalType: "bytes32";
                readonly name: "emitterAddress";
                readonly type: "bytes32";
            }, {
                readonly internalType: "uint64";
                readonly name: "sequence";
                readonly type: "uint64";
            }];
            readonly internalType: "struct VaaKey[]";
            readonly name: "vaaKeys";
            readonly type: "tuple[]";
        }];
        readonly name: "sendVaasToEvm";
        readonly outputs: readonly [{
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }];
        readonly stateMutability: "payable";
        readonly type: "function";
    }, {
        readonly inputs: readonly [{
            readonly internalType: "uint16";
            readonly name: "targetChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "address";
            readonly name: "targetAddress";
            readonly type: "address";
        }, {
            readonly internalType: "bytes";
            readonly name: "payload";
            readonly type: "bytes";
        }, {
            readonly internalType: "uint256";
            readonly name: "receiverValue";
            readonly type: "uint256";
        }, {
            readonly internalType: "uint256";
            readonly name: "gasLimit";
            readonly type: "uint256";
        }, {
            readonly components: readonly [{
                readonly internalType: "uint16";
                readonly name: "chainId";
                readonly type: "uint16";
            }, {
                readonly internalType: "bytes32";
                readonly name: "emitterAddress";
                readonly type: "bytes32";
            }, {
                readonly internalType: "uint64";
                readonly name: "sequence";
                readonly type: "uint64";
            }];
            readonly internalType: "struct VaaKey[]";
            readonly name: "vaaKeys";
            readonly type: "tuple[]";
        }, {
            readonly internalType: "uint16";
            readonly name: "refundChain";
            readonly type: "uint16";
        }, {
            readonly internalType: "address";
            readonly name: "refundAddress";
            readonly type: "address";
        }];
        readonly name: "sendVaasToEvm";
        readonly outputs: readonly [{
            readonly internalType: "uint64";
            readonly name: "sequence";
            readonly type: "uint64";
        }];
        readonly stateMutability: "payable";
        readonly type: "function";
    }];
    static createInterface(): IWormholeRelayerInterface;
    static connect(address: string, signerOrProvider: Signer | Provider): IWormholeRelayer;
}
