import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent, PromiseOrValue } from "../common";
export declare namespace StdInvariant {
    type FuzzSelectorStruct = {
        addr: PromiseOrValue<string>;
        selectors: PromiseOrValue<BytesLike>[];
    };
    type FuzzSelectorStructOutput = [string, string[]] & {
        addr: string;
        selectors: string[];
    };
}
export interface TestGovernanceStructsInterface extends utils.Interface {
    functions: {
        "IS_TEST()": FunctionFragment;
        "arrayElementLocation(bytes32,uint8)": FunctionFragment;
        "excludeArtifacts()": FunctionFragment;
        "excludeContracts()": FunctionFragment;
        "excludeSenders()": FunctionFragment;
        "failed()": FunctionFragment;
        "hashedLocation(bytes32,bytes32)": FunctionFragment;
        "hashedLocation(address,bytes32)": FunctionFragment;
        "hashedLocationOffset(uint32,bytes32,uint256)": FunctionFragment;
        "kevm()": FunctionFragment;
        "setUp()": FunctionFragment;
        "storeWithMask(address,bytes32,bytes32,bytes32)": FunctionFragment;
        "targetArtifactSelectors()": FunctionFragment;
        "targetArtifacts()": FunctionFragment;
        "targetContracts()": FunctionFragment;
        "targetSelectors()": FunctionFragment;
        "targetSenders()": FunctionFragment;
        "testParseContractUpgrade(bytes32,uint16,bytes32)": FunctionFragment;
        "testParseContractUpgradeSizeTooLarge(bytes32,uint16,bytes32,bytes)": FunctionFragment;
        "testParseContractUpgradeSizeTooSmall(bytes)": FunctionFragment;
        "testParseContractUpgradeWrongAction(bytes32,uint8,uint16,bytes32)": FunctionFragment;
        "testParseContractUpgradeWrongAction_KEVM(bytes32,uint8,uint16,bytes32)": FunctionFragment;
        "testParseContractUpgrade_KEVM(bytes32,uint16,bytes32)": FunctionFragment;
        "testParseRecoverChainId(bytes32,uint256,uint16)": FunctionFragment;
        "testParseRecoverChainIdSizeTooLarge(bytes32,uint256,uint16,bytes)": FunctionFragment;
        "testParseRecoverChainIdSizeTooSmall(bytes)": FunctionFragment;
        "testParseRecoverChainIdWrongAction(bytes32,uint8,uint256,uint16)": FunctionFragment;
        "testParseRecoverChainIdWrongAction_KEVM(bytes32,uint8,uint256,uint16)": FunctionFragment;
        "testParseRecoverChainId_KEVM(bytes32,uint256,uint16)": FunctionFragment;
        "testParseSetMessageFee(bytes32,uint16,uint256)": FunctionFragment;
        "testParseSetMessageFeeSizeTooLarge(bytes32,uint16,uint256,bytes)": FunctionFragment;
        "testParseSetMessageFeeSizeTooSmall(bytes)": FunctionFragment;
        "testParseSetMessageFeeWrongAction(bytes32,uint8,uint16,uint256)": FunctionFragment;
        "testParseSetMessageFeeWrongAction_KEVM(bytes32,uint8,uint16,uint256)": FunctionFragment;
        "testParseSetMessageFee_KEVM(bytes32,uint16,uint256)": FunctionFragment;
        "testParseTransferFees(bytes32,uint16,uint256,bytes32)": FunctionFragment;
        "testParseTransferFeesSizeTooLarge(bytes32,uint16,uint256,bytes32,bytes)": FunctionFragment;
        "testParseTransferFeesSizeTooSmall(bytes)": FunctionFragment;
        "testParseTransferFeesWrongAction(bytes32,uint8,uint16,uint256,bytes32)": FunctionFragment;
        "testParseTransferFeesWrongAction_KEVM(bytes32,uint8,uint16,uint256,bytes32)": FunctionFragment;
        "testParseTransferFees_KEVM(bytes32,uint16,uint256,bytes32)": FunctionFragment;
        "validSignature(uint256,bytes32)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "IS_TEST" | "arrayElementLocation" | "excludeArtifacts" | "excludeContracts" | "excludeSenders" | "failed" | "hashedLocation(bytes32,bytes32)" | "hashedLocation(address,bytes32)" | "hashedLocationOffset" | "kevm" | "setUp" | "storeWithMask" | "targetArtifactSelectors" | "targetArtifacts" | "targetContracts" | "targetSelectors" | "targetSenders" | "testParseContractUpgrade" | "testParseContractUpgradeSizeTooLarge" | "testParseContractUpgradeSizeTooSmall" | "testParseContractUpgradeWrongAction" | "testParseContractUpgradeWrongAction_KEVM" | "testParseContractUpgrade_KEVM" | "testParseRecoverChainId" | "testParseRecoverChainIdSizeTooLarge" | "testParseRecoverChainIdSizeTooSmall" | "testParseRecoverChainIdWrongAction" | "testParseRecoverChainIdWrongAction_KEVM" | "testParseRecoverChainId_KEVM" | "testParseSetMessageFee" | "testParseSetMessageFeeSizeTooLarge" | "testParseSetMessageFeeSizeTooSmall" | "testParseSetMessageFeeWrongAction" | "testParseSetMessageFeeWrongAction_KEVM" | "testParseSetMessageFee_KEVM" | "testParseTransferFees" | "testParseTransferFeesSizeTooLarge" | "testParseTransferFeesSizeTooSmall" | "testParseTransferFeesWrongAction" | "testParseTransferFeesWrongAction_KEVM" | "testParseTransferFees_KEVM" | "validSignature"): FunctionFragment;
    encodeFunctionData(functionFragment: "IS_TEST", values?: undefined): string;
    encodeFunctionData(functionFragment: "arrayElementLocation", values: [PromiseOrValue<BytesLike>, PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "excludeArtifacts", values?: undefined): string;
    encodeFunctionData(functionFragment: "excludeContracts", values?: undefined): string;
    encodeFunctionData(functionFragment: "excludeSenders", values?: undefined): string;
    encodeFunctionData(functionFragment: "failed", values?: undefined): string;
    encodeFunctionData(functionFragment: "hashedLocation(bytes32,bytes32)", values: [PromiseOrValue<BytesLike>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "hashedLocation(address,bytes32)", values: [PromiseOrValue<string>, PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "hashedLocationOffset", values: [
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "kevm", values?: undefined): string;
    encodeFunctionData(functionFragment: "setUp", values?: undefined): string;
    encodeFunctionData(functionFragment: "storeWithMask", values: [
        PromiseOrValue<string>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "targetArtifactSelectors", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetArtifacts", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetContracts", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetSelectors", values?: undefined): string;
    encodeFunctionData(functionFragment: "targetSenders", values?: undefined): string;
    encodeFunctionData(functionFragment: "testParseContractUpgrade", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testParseContractUpgradeSizeTooLarge", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testParseContractUpgradeSizeTooSmall", values: [PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testParseContractUpgradeWrongAction", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testParseContractUpgradeWrongAction_KEVM", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testParseContractUpgrade_KEVM", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testParseRecoverChainId", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testParseRecoverChainIdSizeTooLarge", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testParseRecoverChainIdSizeTooSmall", values: [PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testParseRecoverChainIdWrongAction", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testParseRecoverChainIdWrongAction_KEVM", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testParseRecoverChainId_KEVM", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testParseSetMessageFee", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testParseSetMessageFeeSizeTooLarge", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testParseSetMessageFeeSizeTooSmall", values: [PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testParseSetMessageFeeWrongAction", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testParseSetMessageFeeWrongAction_KEVM", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testParseSetMessageFee_KEVM", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>
    ]): string;
    encodeFunctionData(functionFragment: "testParseTransferFees", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testParseTransferFeesSizeTooLarge", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testParseTransferFeesSizeTooSmall", values: [PromiseOrValue<BytesLike>]): string;
    encodeFunctionData(functionFragment: "testParseTransferFeesWrongAction", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testParseTransferFeesWrongAction_KEVM", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "testParseTransferFees_KEVM", values: [
        PromiseOrValue<BytesLike>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BigNumberish>,
        PromiseOrValue<BytesLike>
    ]): string;
    encodeFunctionData(functionFragment: "validSignature", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BytesLike>]): string;
    decodeFunctionResult(functionFragment: "IS_TEST", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "arrayElementLocation", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "excludeArtifacts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "excludeContracts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "excludeSenders", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "failed", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hashedLocation(bytes32,bytes32)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hashedLocation(address,bytes32)", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "hashedLocationOffset", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "kevm", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setUp", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "storeWithMask", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetArtifactSelectors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetArtifacts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetContracts", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetSelectors", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "targetSenders", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseContractUpgrade", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseContractUpgradeSizeTooLarge", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseContractUpgradeSizeTooSmall", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseContractUpgradeWrongAction", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseContractUpgradeWrongAction_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseContractUpgrade_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseRecoverChainId", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseRecoverChainIdSizeTooLarge", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseRecoverChainIdSizeTooSmall", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseRecoverChainIdWrongAction", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseRecoverChainIdWrongAction_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseRecoverChainId_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseSetMessageFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseSetMessageFeeSizeTooLarge", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseSetMessageFeeSizeTooSmall", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseSetMessageFeeWrongAction", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseSetMessageFeeWrongAction_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseSetMessageFee_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseTransferFees", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseTransferFeesSizeTooLarge", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseTransferFeesSizeTooSmall", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseTransferFeesWrongAction", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseTransferFeesWrongAction_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "testParseTransferFees_KEVM", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "validSignature", data: BytesLike): Result;
    events: {
        "log(string)": EventFragment;
        "log_address(address)": EventFragment;
        "log_array(uint256[])": EventFragment;
        "log_array(int256[])": EventFragment;
        "log_array(address[])": EventFragment;
        "log_bytes(bytes)": EventFragment;
        "log_bytes32(bytes32)": EventFragment;
        "log_int(int256)": EventFragment;
        "log_named_address(string,address)": EventFragment;
        "log_named_array(string,uint256[])": EventFragment;
        "log_named_array(string,int256[])": EventFragment;
        "log_named_array(string,address[])": EventFragment;
        "log_named_bytes(string,bytes)": EventFragment;
        "log_named_bytes32(string,bytes32)": EventFragment;
        "log_named_decimal_int(string,int256,uint256)": EventFragment;
        "log_named_decimal_uint(string,uint256,uint256)": EventFragment;
        "log_named_int(string,int256)": EventFragment;
        "log_named_string(string,string)": EventFragment;
        "log_named_uint(string,uint256)": EventFragment;
        "log_string(string)": EventFragment;
        "log_uint(uint256)": EventFragment;
        "logs(bytes)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "log"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_address"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_array(uint256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_array(int256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_array(address[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_bytes"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_bytes32"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_int"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_address"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_array(string,uint256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_array(string,int256[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_array(string,address[])"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_bytes"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_bytes32"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_decimal_int"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_decimal_uint"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_int"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_string"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_named_uint"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_string"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "log_uint"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "logs"): EventFragment;
}
export interface logEventObject {
    arg0: string;
}
export declare type logEvent = TypedEvent<[string], logEventObject>;
export declare type logEventFilter = TypedEventFilter<logEvent>;
export interface log_addressEventObject {
    arg0: string;
}
export declare type log_addressEvent = TypedEvent<[string], log_addressEventObject>;
export declare type log_addressEventFilter = TypedEventFilter<log_addressEvent>;
export interface log_array_uint256_array_EventObject {
    val: BigNumber[];
}
export declare type log_array_uint256_array_Event = TypedEvent<[
    BigNumber[]
], log_array_uint256_array_EventObject>;
export declare type log_array_uint256_array_EventFilter = TypedEventFilter<log_array_uint256_array_Event>;
export interface log_array_int256_array_EventObject {
    val: BigNumber[];
}
export declare type log_array_int256_array_Event = TypedEvent<[
    BigNumber[]
], log_array_int256_array_EventObject>;
export declare type log_array_int256_array_EventFilter = TypedEventFilter<log_array_int256_array_Event>;
export interface log_array_address_array_EventObject {
    val: string[];
}
export declare type log_array_address_array_Event = TypedEvent<[
    string[]
], log_array_address_array_EventObject>;
export declare type log_array_address_array_EventFilter = TypedEventFilter<log_array_address_array_Event>;
export interface log_bytesEventObject {
    arg0: string;
}
export declare type log_bytesEvent = TypedEvent<[string], log_bytesEventObject>;
export declare type log_bytesEventFilter = TypedEventFilter<log_bytesEvent>;
export interface log_bytes32EventObject {
    arg0: string;
}
export declare type log_bytes32Event = TypedEvent<[string], log_bytes32EventObject>;
export declare type log_bytes32EventFilter = TypedEventFilter<log_bytes32Event>;
export interface log_intEventObject {
    arg0: BigNumber;
}
export declare type log_intEvent = TypedEvent<[BigNumber], log_intEventObject>;
export declare type log_intEventFilter = TypedEventFilter<log_intEvent>;
export interface log_named_addressEventObject {
    key: string;
    val: string;
}
export declare type log_named_addressEvent = TypedEvent<[
    string,
    string
], log_named_addressEventObject>;
export declare type log_named_addressEventFilter = TypedEventFilter<log_named_addressEvent>;
export interface log_named_array_string_uint256_array_EventObject {
    key: string;
    val: BigNumber[];
}
export declare type log_named_array_string_uint256_array_Event = TypedEvent<[
    string,
    BigNumber[]
], log_named_array_string_uint256_array_EventObject>;
export declare type log_named_array_string_uint256_array_EventFilter = TypedEventFilter<log_named_array_string_uint256_array_Event>;
export interface log_named_array_string_int256_array_EventObject {
    key: string;
    val: BigNumber[];
}
export declare type log_named_array_string_int256_array_Event = TypedEvent<[
    string,
    BigNumber[]
], log_named_array_string_int256_array_EventObject>;
export declare type log_named_array_string_int256_array_EventFilter = TypedEventFilter<log_named_array_string_int256_array_Event>;
export interface log_named_array_string_address_array_EventObject {
    key: string;
    val: string[];
}
export declare type log_named_array_string_address_array_Event = TypedEvent<[
    string,
    string[]
], log_named_array_string_address_array_EventObject>;
export declare type log_named_array_string_address_array_EventFilter = TypedEventFilter<log_named_array_string_address_array_Event>;
export interface log_named_bytesEventObject {
    key: string;
    val: string;
}
export declare type log_named_bytesEvent = TypedEvent<[
    string,
    string
], log_named_bytesEventObject>;
export declare type log_named_bytesEventFilter = TypedEventFilter<log_named_bytesEvent>;
export interface log_named_bytes32EventObject {
    key: string;
    val: string;
}
export declare type log_named_bytes32Event = TypedEvent<[
    string,
    string
], log_named_bytes32EventObject>;
export declare type log_named_bytes32EventFilter = TypedEventFilter<log_named_bytes32Event>;
export interface log_named_decimal_intEventObject {
    key: string;
    val: BigNumber;
    decimals: BigNumber;
}
export declare type log_named_decimal_intEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], log_named_decimal_intEventObject>;
export declare type log_named_decimal_intEventFilter = TypedEventFilter<log_named_decimal_intEvent>;
export interface log_named_decimal_uintEventObject {
    key: string;
    val: BigNumber;
    decimals: BigNumber;
}
export declare type log_named_decimal_uintEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], log_named_decimal_uintEventObject>;
export declare type log_named_decimal_uintEventFilter = TypedEventFilter<log_named_decimal_uintEvent>;
export interface log_named_intEventObject {
    key: string;
    val: BigNumber;
}
export declare type log_named_intEvent = TypedEvent<[
    string,
    BigNumber
], log_named_intEventObject>;
export declare type log_named_intEventFilter = TypedEventFilter<log_named_intEvent>;
export interface log_named_stringEventObject {
    key: string;
    val: string;
}
export declare type log_named_stringEvent = TypedEvent<[
    string,
    string
], log_named_stringEventObject>;
export declare type log_named_stringEventFilter = TypedEventFilter<log_named_stringEvent>;
export interface log_named_uintEventObject {
    key: string;
    val: BigNumber;
}
export declare type log_named_uintEvent = TypedEvent<[
    string,
    BigNumber
], log_named_uintEventObject>;
export declare type log_named_uintEventFilter = TypedEventFilter<log_named_uintEvent>;
export interface log_stringEventObject {
    arg0: string;
}
export declare type log_stringEvent = TypedEvent<[string], log_stringEventObject>;
export declare type log_stringEventFilter = TypedEventFilter<log_stringEvent>;
export interface log_uintEventObject {
    arg0: BigNumber;
}
export declare type log_uintEvent = TypedEvent<[BigNumber], log_uintEventObject>;
export declare type log_uintEventFilter = TypedEventFilter<log_uintEvent>;
export interface logsEventObject {
    arg0: string;
}
export declare type logsEvent = TypedEvent<[string], logsEventObject>;
export declare type logsEventFilter = TypedEventFilter<logsEvent>;
export interface TestGovernanceStructs extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: TestGovernanceStructsInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        IS_TEST(overrides?: CallOverrides): Promise<[boolean]>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<[string]>;
        excludeArtifacts(overrides?: CallOverrides): Promise<[string[]] & {
            excludedArtifacts_: string[];
        }>;
        excludeContracts(overrides?: CallOverrides): Promise<[string[]] & {
            excludedContracts_: string[];
        }>;
        excludeSenders(overrides?: CallOverrides): Promise<[string[]] & {
            excludedSenders_: string[];
        }>;
        failed(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<[string]>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<[string]>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<[string]>;
        kevm(overrides?: CallOverrides): Promise<[string]>;
        setUp(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<[
            StdInvariant.FuzzSelectorStructOutput[]
        ] & {
            targetedArtifactSelectors_: StdInvariant.FuzzSelectorStructOutput[];
        }>;
        targetArtifacts(overrides?: CallOverrides): Promise<[string[]] & {
            targetedArtifacts_: string[];
        }>;
        targetContracts(overrides?: CallOverrides): Promise<[string[]] & {
            targetedContracts_: string[];
        }>;
        targetSelectors(overrides?: CallOverrides): Promise<[
            StdInvariant.FuzzSelectorStructOutput[]
        ] & {
            targetedSelectors_: StdInvariant.FuzzSelectorStructOutput[];
        }>;
        targetSenders(overrides?: CallOverrides): Promise<[string[]] & {
            targetedSenders_: string[];
        }>;
        testParseContractUpgrade(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseContractUpgradeSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseContractUpgradeSizeTooSmall(encodedUpgrade: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseContractUpgradeWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseContractUpgradeWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseContractUpgrade_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseRecoverChainId(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseRecoverChainIdSizeTooLarge(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseRecoverChainIdSizeTooSmall(encodedRecoverChainId: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseRecoverChainIdWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseRecoverChainIdWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseRecoverChainId_KEVM(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseSetMessageFee(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseSetMessageFeeSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseSetMessageFeeSizeTooSmall(encodedSetMessageFee: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseSetMessageFeeWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseSetMessageFeeWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseSetMessageFee_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseTransferFees(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseTransferFeesSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseTransferFeesSizeTooSmall(encodedTransferFees: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseTransferFeesWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseTransferFeesWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        testParseTransferFees_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<[string] & {
            signature: string;
        }>;
    };
    IS_TEST(overrides?: CallOverrides): Promise<boolean>;
    arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
    excludeArtifacts(overrides?: CallOverrides): Promise<string[]>;
    excludeContracts(overrides?: CallOverrides): Promise<string[]>;
    excludeSenders(overrides?: CallOverrides): Promise<string[]>;
    failed(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
    kevm(overrides?: CallOverrides): Promise<string>;
    setUp(overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    targetArtifactSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
    targetArtifacts(overrides?: CallOverrides): Promise<string[]>;
    targetContracts(overrides?: CallOverrides): Promise<string[]>;
    targetSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
    targetSenders(overrides?: CallOverrides): Promise<string[]>;
    testParseContractUpgrade(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseContractUpgradeSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseContractUpgradeSizeTooSmall(encodedUpgrade: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseContractUpgradeWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseContractUpgradeWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseContractUpgrade_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseRecoverChainId(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseRecoverChainIdSizeTooLarge(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseRecoverChainIdSizeTooSmall(encodedRecoverChainId: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseRecoverChainIdWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseRecoverChainIdWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseRecoverChainId_KEVM(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseSetMessageFee(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseSetMessageFeeSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseSetMessageFeeSizeTooSmall(encodedSetMessageFee: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseSetMessageFeeWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseSetMessageFeeWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseSetMessageFee_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseTransferFees(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseTransferFeesSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseTransferFeesSizeTooSmall(encodedTransferFees: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseTransferFeesWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseTransferFeesWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    testParseTransferFees_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    callStatic: {
        IS_TEST(overrides?: CallOverrides): Promise<boolean>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
        excludeArtifacts(overrides?: CallOverrides): Promise<string[]>;
        excludeContracts(overrides?: CallOverrides): Promise<string[]>;
        excludeSenders(overrides?: CallOverrides): Promise<string[]>;
        failed(overrides?: CallOverrides): Promise<boolean>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<string>;
        kevm(overrides?: CallOverrides): Promise<string>;
        setUp(overrides?: CallOverrides): Promise<void>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
        targetArtifacts(overrides?: CallOverrides): Promise<string[]>;
        targetContracts(overrides?: CallOverrides): Promise<string[]>;
        targetSelectors(overrides?: CallOverrides): Promise<StdInvariant.FuzzSelectorStructOutput[]>;
        targetSenders(overrides?: CallOverrides): Promise<string[]>;
        testParseContractUpgrade(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseContractUpgradeSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, extraBytes: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseContractUpgradeSizeTooSmall(encodedUpgrade: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseContractUpgradeWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseContractUpgradeWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseContractUpgrade_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseRecoverChainId(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testParseRecoverChainIdSizeTooLarge(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, extraBytes: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseRecoverChainIdSizeTooSmall(encodedRecoverChainId: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseRecoverChainIdWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testParseRecoverChainIdWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testParseRecoverChainId_KEVM(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testParseSetMessageFee(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testParseSetMessageFeeSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, extraBytes: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseSetMessageFeeSizeTooSmall(encodedSetMessageFee: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseSetMessageFeeWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testParseSetMessageFeeWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testParseSetMessageFee_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        testParseTransferFees(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseTransferFeesSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, extraBytes: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseTransferFeesSizeTooSmall(encodedTransferFees: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseTransferFeesWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseTransferFeesWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        testParseTransferFees_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<void>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<string>;
    };
    filters: {
        "log(string)"(arg0?: null): logEventFilter;
        log(arg0?: null): logEventFilter;
        "log_address(address)"(arg0?: null): log_addressEventFilter;
        log_address(arg0?: null): log_addressEventFilter;
        "log_array(uint256[])"(val?: null): log_array_uint256_array_EventFilter;
        "log_array(int256[])"(val?: null): log_array_int256_array_EventFilter;
        "log_array(address[])"(val?: null): log_array_address_array_EventFilter;
        "log_bytes(bytes)"(arg0?: null): log_bytesEventFilter;
        log_bytes(arg0?: null): log_bytesEventFilter;
        "log_bytes32(bytes32)"(arg0?: null): log_bytes32EventFilter;
        log_bytes32(arg0?: null): log_bytes32EventFilter;
        "log_int(int256)"(arg0?: null): log_intEventFilter;
        log_int(arg0?: null): log_intEventFilter;
        "log_named_address(string,address)"(key?: null, val?: null): log_named_addressEventFilter;
        log_named_address(key?: null, val?: null): log_named_addressEventFilter;
        "log_named_array(string,uint256[])"(key?: null, val?: null): log_named_array_string_uint256_array_EventFilter;
        "log_named_array(string,int256[])"(key?: null, val?: null): log_named_array_string_int256_array_EventFilter;
        "log_named_array(string,address[])"(key?: null, val?: null): log_named_array_string_address_array_EventFilter;
        "log_named_bytes(string,bytes)"(key?: null, val?: null): log_named_bytesEventFilter;
        log_named_bytes(key?: null, val?: null): log_named_bytesEventFilter;
        "log_named_bytes32(string,bytes32)"(key?: null, val?: null): log_named_bytes32EventFilter;
        log_named_bytes32(key?: null, val?: null): log_named_bytes32EventFilter;
        "log_named_decimal_int(string,int256,uint256)"(key?: null, val?: null, decimals?: null): log_named_decimal_intEventFilter;
        log_named_decimal_int(key?: null, val?: null, decimals?: null): log_named_decimal_intEventFilter;
        "log_named_decimal_uint(string,uint256,uint256)"(key?: null, val?: null, decimals?: null): log_named_decimal_uintEventFilter;
        log_named_decimal_uint(key?: null, val?: null, decimals?: null): log_named_decimal_uintEventFilter;
        "log_named_int(string,int256)"(key?: null, val?: null): log_named_intEventFilter;
        log_named_int(key?: null, val?: null): log_named_intEventFilter;
        "log_named_string(string,string)"(key?: null, val?: null): log_named_stringEventFilter;
        log_named_string(key?: null, val?: null): log_named_stringEventFilter;
        "log_named_uint(string,uint256)"(key?: null, val?: null): log_named_uintEventFilter;
        log_named_uint(key?: null, val?: null): log_named_uintEventFilter;
        "log_string(string)"(arg0?: null): log_stringEventFilter;
        log_string(arg0?: null): log_stringEventFilter;
        "log_uint(uint256)"(arg0?: null): log_uintEventFilter;
        log_uint(arg0?: null): log_uintEventFilter;
        "logs(bytes)"(arg0?: null): logsEventFilter;
        logs(arg0?: null): logsEventFilter;
    };
    estimateGas: {
        IS_TEST(overrides?: CallOverrides): Promise<BigNumber>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<BigNumber>;
        excludeArtifacts(overrides?: CallOverrides): Promise<BigNumber>;
        excludeContracts(overrides?: CallOverrides): Promise<BigNumber>;
        excludeSenders(overrides?: CallOverrides): Promise<BigNumber>;
        failed(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<BigNumber>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<BigNumber>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<BigNumber>;
        kevm(overrides?: CallOverrides): Promise<BigNumber>;
        setUp(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<BigNumber>;
        targetArtifacts(overrides?: CallOverrides): Promise<BigNumber>;
        targetContracts(overrides?: CallOverrides): Promise<BigNumber>;
        targetSelectors(overrides?: CallOverrides): Promise<BigNumber>;
        targetSenders(overrides?: CallOverrides): Promise<BigNumber>;
        testParseContractUpgrade(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseContractUpgradeSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseContractUpgradeSizeTooSmall(encodedUpgrade: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseContractUpgradeWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseContractUpgradeWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseContractUpgrade_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseRecoverChainId(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseRecoverChainIdSizeTooLarge(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseRecoverChainIdSizeTooSmall(encodedRecoverChainId: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseRecoverChainIdWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseRecoverChainIdWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseRecoverChainId_KEVM(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseSetMessageFee(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseSetMessageFeeSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseSetMessageFeeSizeTooSmall(encodedSetMessageFee: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseSetMessageFeeWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseSetMessageFeeWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseSetMessageFee_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseTransferFees(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseTransferFeesSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseTransferFeesSizeTooSmall(encodedTransferFees: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseTransferFeesWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseTransferFeesWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        testParseTransferFees_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        IS_TEST(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        arrayElementLocation(keyHash: PromiseOrValue<BytesLike>, arrayOffset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        excludeArtifacts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        excludeContracts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        excludeSenders(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        failed(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        "hashedLocation(bytes32,bytes32)"(_key: PromiseOrValue<BytesLike>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        "hashedLocation(address,bytes32)"(_key: PromiseOrValue<string>, _index: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        hashedLocationOffset(_key: PromiseOrValue<BigNumberish>, _index: PromiseOrValue<BytesLike>, offset: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        kevm(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        setUp(overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        storeWithMask(contractAddress: PromiseOrValue<string>, storageSlot: PromiseOrValue<BytesLike>, content: PromiseOrValue<BytesLike>, mask: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        targetArtifactSelectors(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetArtifacts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetContracts(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetSelectors(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        targetSenders(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        testParseContractUpgrade(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseContractUpgradeSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseContractUpgradeSizeTooSmall(encodedUpgrade: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseContractUpgradeWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseContractUpgradeWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseContractUpgrade_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, newContract: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseRecoverChainId(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseRecoverChainIdSizeTooLarge(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseRecoverChainIdSizeTooSmall(encodedRecoverChainId: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseRecoverChainIdWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseRecoverChainIdWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseRecoverChainId_KEVM(module: PromiseOrValue<BytesLike>, evmChainId: PromiseOrValue<BigNumberish>, newChainId: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseSetMessageFee(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseSetMessageFeeSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseSetMessageFeeSizeTooSmall(encodedSetMessageFee: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseSetMessageFeeWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseSetMessageFeeWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseSetMessageFee_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, messageFee: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseTransferFees(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseTransferFeesSizeTooLarge(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, extraBytes: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseTransferFeesSizeTooSmall(encodedTransferFees: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseTransferFeesWrongAction(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseTransferFeesWrongAction_KEVM(module: PromiseOrValue<BytesLike>, action: PromiseOrValue<BigNumberish>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        testParseTransferFees_KEVM(module: PromiseOrValue<BytesLike>, chain: PromiseOrValue<BigNumberish>, amount: PromiseOrValue<BigNumberish>, recipient: PromiseOrValue<BytesLike>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        validSignature(pk: PromiseOrValue<BigNumberish>, hash: PromiseOrValue<BytesLike>, overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
