import type { BaseContract, BigNumber, BytesLike, CallOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "../common";
export interface StdErrorInterface extends utils.Interface {
    functions: {
        "arithmeticError()": FunctionFragment;
        "assertionError()": FunctionFragment;
        "divisionError()": FunctionFragment;
        "encodeStorageError()": FunctionFragment;
        "enumConversionError()": FunctionFragment;
        "indexOOBError()": FunctionFragment;
        "memOverflowError()": FunctionFragment;
        "popError()": FunctionFragment;
        "zeroVarError()": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "arithmeticError" | "assertionError" | "divisionError" | "encodeStorageError" | "enumConversionError" | "indexOOBError" | "memOverflowError" | "popError" | "zeroVarError"): FunctionFragment;
    encodeFunctionData(functionFragment: "arithmeticError", values?: undefined): string;
    encodeFunctionData(functionFragment: "assertionError", values?: undefined): string;
    encodeFunctionData(functionFragment: "divisionError", values?: undefined): string;
    encodeFunctionData(functionFragment: "encodeStorageError", values?: undefined): string;
    encodeFunctionData(functionFragment: "enumConversionError", values?: undefined): string;
    encodeFunctionData(functionFragment: "indexOOBError", values?: undefined): string;
    encodeFunctionData(functionFragment: "memOverflowError", values?: undefined): string;
    encodeFunctionData(functionFragment: "popError", values?: undefined): string;
    encodeFunctionData(functionFragment: "zeroVarError", values?: undefined): string;
    decodeFunctionResult(functionFragment: "arithmeticError", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "assertionError", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "divisionError", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "encodeStorageError", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "enumConversionError", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "indexOOBError", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "memOverflowError", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "popError", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "zeroVarError", data: BytesLike): Result;
    events: {};
}
export interface StdError extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: StdErrorInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        arithmeticError(overrides?: CallOverrides): Promise<[string]>;
        assertionError(overrides?: CallOverrides): Promise<[string]>;
        divisionError(overrides?: CallOverrides): Promise<[string]>;
        encodeStorageError(overrides?: CallOverrides): Promise<[string]>;
        enumConversionError(overrides?: CallOverrides): Promise<[string]>;
        indexOOBError(overrides?: CallOverrides): Promise<[string]>;
        memOverflowError(overrides?: CallOverrides): Promise<[string]>;
        popError(overrides?: CallOverrides): Promise<[string]>;
        zeroVarError(overrides?: CallOverrides): Promise<[string]>;
    };
    arithmeticError(overrides?: CallOverrides): Promise<string>;
    assertionError(overrides?: CallOverrides): Promise<string>;
    divisionError(overrides?: CallOverrides): Promise<string>;
    encodeStorageError(overrides?: CallOverrides): Promise<string>;
    enumConversionError(overrides?: CallOverrides): Promise<string>;
    indexOOBError(overrides?: CallOverrides): Promise<string>;
    memOverflowError(overrides?: CallOverrides): Promise<string>;
    popError(overrides?: CallOverrides): Promise<string>;
    zeroVarError(overrides?: CallOverrides): Promise<string>;
    callStatic: {
        arithmeticError(overrides?: CallOverrides): Promise<string>;
        assertionError(overrides?: CallOverrides): Promise<string>;
        divisionError(overrides?: CallOverrides): Promise<string>;
        encodeStorageError(overrides?: CallOverrides): Promise<string>;
        enumConversionError(overrides?: CallOverrides): Promise<string>;
        indexOOBError(overrides?: CallOverrides): Promise<string>;
        memOverflowError(overrides?: CallOverrides): Promise<string>;
        popError(overrides?: CallOverrides): Promise<string>;
        zeroVarError(overrides?: CallOverrides): Promise<string>;
    };
    filters: {};
    estimateGas: {
        arithmeticError(overrides?: CallOverrides): Promise<BigNumber>;
        assertionError(overrides?: CallOverrides): Promise<BigNumber>;
        divisionError(overrides?: CallOverrides): Promise<BigNumber>;
        encodeStorageError(overrides?: CallOverrides): Promise<BigNumber>;
        enumConversionError(overrides?: CallOverrides): Promise<BigNumber>;
        indexOOBError(overrides?: CallOverrides): Promise<BigNumber>;
        memOverflowError(overrides?: CallOverrides): Promise<BigNumber>;
        popError(overrides?: CallOverrides): Promise<BigNumber>;
        zeroVarError(overrides?: CallOverrides): Promise<BigNumber>;
    };
    populateTransaction: {
        arithmeticError(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        assertionError(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        divisionError(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        encodeStorageError(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        enumConversionError(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        indexOOBError(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        memOverflowError(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        popError(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        zeroVarError(overrides?: CallOverrides): Promise<PopulatedTransaction>;
    };
}
