/// <reference types="node" />
import { BigNumber } from "@ethersproject/bignumber";
import { NftTransfer, TokenTransfer } from "../vaa";
export declare const METADATA_REPLACE: RegExp;
/**
 * NFTTransferPayload is the payload data for a NFT transfer VAA.
 */
export declare type NFTTransferPayload = Pick<NftTransfer, "symbol" | "name" | "uri"> & {
    originAddress: string;
    originChain: number;
    targetAddress: string;
    fee?: BigNumber;
    targetChain: number;
    fromAddress?: string;
    tokenId: BigNumber;
};
export declare function parseNFTPayload(payload: Buffer): NFTTransferPayload;
/**
 * TokenTransferPayload is the payload data for a Token transfer VAA.
 */
export declare type TokenTransferPayload = Pick<TokenTransfer, "amount"> & {
    originAddress: string;
    originChain: number;
    targetAddress: string;
    targetChain: number;
    fromAddress?: string;
    fee?: BigInt;
};
export declare function parseTransferPayload(payload: Buffer): TokenTransferPayload;
